Skip to main content
POST
/
tasks
/
update
Update an existing task: title, description, priority, status, assigned_to, due_date
curl --request POST \
  --url https://api.supersonic.cv/tasks/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "task_id": "<string>",
  "title": "<string>",
  "description": "<string>",
  "priority": "low",
  "status": "todo",
  "due_date": "<string>",
  "assigned_to": "<string>",
  "record_ids": [
    "<string>"
  ]
}
'
{}

Authorizations

Authorization
string
header
required

API key: supersonic_live_...

Body

application/json
task_id
string
required

Task UUID

title
string
description
string
priority
enum<string>
Available options:
low,
medium,
high,
urgent
status
enum<string>
Available options:
todo,
in_progress,
done
due_date
string
assigned_to
string
record_ids
string[]

Response

Success

The response is of type object.